From 8ce5d566b7163c01ef68ee3f83fcbdbf79536d01 Mon Sep 17 00:00:00 2001
From: Tomas Sedovic <tsedovic@redhat.com>
Date: Thu, 26 May 2011 11:30:18 +0200
Subject: [PATCH conductor 2/4] Upgrade to jQuery 1.6.1 and remove unused
 files

---
 src/app/views/layouts/application.haml     |    2 +-
 src/app/views/layouts/old.haml             |    2 +-
 src/public/javascripts/jquery-1.4.2.js     | 6240 ----------------------------
 src/public/javascripts/jquery-1.4.2.min.js |  154 -
 src/public/javascripts/jquery-1.6.1.min.js |   18 +
 src/public/javascripts/jquery.js           | 3533 ----------------
 src/public/javascripts/jquery.pack.js      |   11 -
 7 files changed, 20 insertions(+), 9940 deletions(-)
 delete mode 100644 src/public/javascripts/jquery-1.4.2.js
 delete mode 100644 src/public/javascripts/jquery-1.4.2.min.js
 create mode 100644 src/public/javascripts/jquery-1.6.1.min.js
 delete mode 100644 src/public/javascripts/jquery.js
 delete mode 100644 src/public/javascripts/jquery.pack.js

diff --git a/src/app/views/layouts/application.haml b/src/app/views/layouts/application.haml
index 048cf46..3e4469f 100644
--- a/src/app/views/layouts/application.haml
+++ b/src/app/views/layouts/application.haml
@@ -13,7 +13,7 @@
       = stylesheet_link_tag '/stylesheets/layout_ie.css'
     = stylesheet_link_tag '/stylesheets/compiled/custom.css'
 
-    = javascript_include_tag "jquery-1.4.2.min.js"
+    = javascript_include_tag "jquery-1.6.1.min.js"
     = javascript_include_tag "jquery.ui-1.8.1/jquery-ui-1.8.1.custom.min.js"
     = javascript_include_tag "application.js"
     = yield :scripts
diff --git a/src/app/views/layouts/old.haml b/src/app/views/layouts/old.haml
index 357776d..67d3d74 100644
--- a/src/app/views/layouts/old.haml
+++ b/src/app/views/layouts/old.haml
@@ -12,7 +12,7 @@
 
     / [if lt IE 9]
       = javascript_include_tag "http://html5shiv.googlecode.com/svn/trunk/html5.js"
-    = javascript_include_tag "jquery-1.4.2.min.js"
+    = javascript_include_tag "jquery-1.6.1.min.js"
     = javascript_include_tag "application.js"
     = javascript_include_tag "jquery.ui-1.8.1/jquery-ui-1.8.1.custom.min.js"
     = javascript_include_tag "jquery.loadmask.min"
